# reapr-smaltmap(1)

## NAME

reapr-smaltmap - map read pairs using SMALT

## SYNOPSIS

*reapr smaltmap* [options] <assembly.fa> <reads_1.fastq> <reads_2.fastq> <out.bam>

## DESCRIPTION

Maps read pairs to an assembly with SMALT, making a final BAM file that
is sorted, indexed and has duplicates removed.

The n-th read in <reads_1.fastq> should be the mate of the n-th read in
<reads_2.fastq>.

It is assumed that reads are 'innies', i.e. the correct orientation
is reads in a pair pointing towards each other (---> <---).

## OPTIONS

  *-k* <int>::
    The -k option (kmer hash length) when indexing the genome
    with 'smalt index' [13]

  *-s* <int>::
    The -s option (step length) when indexing the genome
     with 'smalt index' [2]

  *-m* <int>::
   The -m option when mapping reads with 'smalt map' [not used by default]

  *-n* <int>::
    The number of threads used when running 'smalt map' [1]

  *-y* <float>::
    The -y option when mapping reads with 'smalt map'.
  The default of 0.5 means that at least 50% of each read must map
  perfectly. Depending on the quality of your reads, you may want to
  increase this to be more stringent (or consider using -m) [0.5]

  *-x*::
    Use this to just print the commands that will be run, instead of
  actually running them

  *-u* <int>::
      The -u option of 'smalt sample'. This is used to estimate the insert
  size from a sample of the reads, by mapping every n^th read pair [1000]


## SEE ALSO

reapr(1)
